#include <bits/stdc++.h>+

using namespace std;

vector<pair<double, double>> pa;


int main()
{
    int n;
    cin >> n;

    double sum = 0;
    for(int i = 0; i < n; i++)

    {
        double x;
        double y;

        cin >> x;
        cin >> y;

        pa.push_back(make_pair(y, x));
        sum += x;
    }

    sort(pa.begin(), pa.end());

    double maxmanez = 0;
    for(int i = 0; i < n; i++)
    {
        if(i > 0)
        {
            sum -= pa[i - 1].second;
        }


        maxmanez = max(maxmanez, (sum * pa[i].first) / 100.0);
    }

    cout << fixed << setprecision(4) <<  maxmanez << '\n';

    return 0;
}